from iziparser import broker_izi_parser

# Массив с путями к файлам
file_paths  = ['1.xlsx','2.xlsx']
# Массив с бинарными файлами
files = []

# Заполняем массив бинарных файлов
for file_path in file_paths:
    files.append(('f[]', open(file_path, 'rb')))  # Каждый файл передается как кортеж


# Варианты parser_type
# "tink": "Тинькофф - отчёт брокера (xlsx)",
# "sbol": "Сбербанк - отчёт брокера (xlsx,xls,htm,html)",
# "gpb-quik": "Газпромбанк - QUIK (htm, xls, xlsx)",
# "vtb": "ВТБ - отчёт брокера (xls, htm)",
# "alpha": "Альфа банк - отчёт брокера (xls)",
# "bks": "БКС - отчёт брокера (xls)",
# "finam": "Финам - отчёт брокера (xls, xlsx, xml, htm, html)",
# "otkr": "Открытие - отчёт брокера (xlsx)",
# "psb": "Промсвязьбанк - отчёт брокера (xlsx)",
# "aton": "Атон - отчёт брокера (xls)",
# "kit": "КИТ Финанс - отчёт брокера (xlsx)",
# "mts": "МТС-банк - отчёт брокера (xlsx)",
# "uralsib": "Уралсиб - отчёт брокера (xls,htm)",
# "atb": "Азиатско-Тихоокеанский Банк - отчёт брокера (xls)",
# "ib": "Interactive Brokers - Отчёт Активность (csv)",
# "ff": "Фридом Финанс - Отчёт брокера (xml, xlsx, json)",
# "cifra": "Цифра брокер - Отчёт брокера (xml)",
# "alor": "АЛОР брокер - Отчёт брокера (xml)",
# "iti": "ITI Capital - Отчёт брокера (xlsx)",
# "saxo": "Saxo Bank - Отчёт брокера (xlsx)",
# "rshb": "РоссельзозБанк - Отчёт брокера (xls,xlsx)",
# "sovkom": "Совкомбанк - Отчёт брокера (xlsx)",
# "cap": "Cap Trader - Отчёт брокера (csv)",
# "intel": "Intelinvest - экспорт сделок (xlsx)",
# "black": "BlackTerminal - экспорт сделок (xls, json)",
# "wa": "Wealth Adviser - экспорт (csv)",
# "dw": "DriveWealth - экспорт (xls)",
# "opf": "Open Portfolio Format (json)",


trades = broker_izi_parser(parser_type = 'sbol', files = files)
print(trades)